org.apache.pdfbox.preflight.process.reflect

## Class TilingPatternValidationProcess

- java.lang.Object
- - org.apache.pdfbox.preflight.process.AbstractProcess
  - - org.apache.pdfbox.preflight.process.reflect.TilingPatternValidationProcess

All Implemented Interfaces:
  ValidationProcess

    public class TilingPatternValidationProcess
    extends AbstractProcess

### Constructor Summary

Constructors
Constructor and Description
`TilingPatternValidationProcess()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `checkMandatoryFields(PreflightContext context, org.apache.pdfbox.pdmodel.PDPage page, org.apache.pdfbox.pdmodel.graphics.pattern.PDTilingPattern pattern)` This method checks if required fields are present.
`protected void` `parsePatternContent(PreflightContext context, org.apache.pdfbox.pdmodel.PDPage page, org.apache.pdfbox.pdmodel.graphics.pattern.PDTilingPattern pattern)` Validate the Pattern content like Color and Show Text Operators using an instance of ContentStreamWrapper.
`protected void` `parseResources(PreflightContext context, org.apache.pdfbox.pdmodel.PDPage page, org.apache.pdfbox.pdmodel.graphics.pattern.PDTilingPattern pattern)`
`void` `validate(PreflightContext context)`

### Methods inherited from class org.apache.pdfbox.preflight.process.AbstractProcess

`addFontError, addValidationError, addValidationErrors`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TilingPatternValidationProcess

    public TilingPatternValidationProcess()

### Method Detail

#### validate

    public void validate(PreflightContext context)
                  throws ValidationException

Throws:
  `ValidationException`

#### parseResources

    protected void parseResources(PreflightContext context,
                                  org.apache.pdfbox.pdmodel.PDPage page,
                                  org.apache.pdfbox.pdmodel.graphics.pattern.PDTilingPattern pattern)
                           throws ValidationException

Throws:
  `ValidationException`

#### parsePatternContent

    protected void parsePatternContent(PreflightContext context,
                                       org.apache.pdfbox.pdmodel.PDPage page,
                                       org.apache.pdfbox.pdmodel.graphics.pattern.PDTilingPattern pattern)
                                throws ValidationException

Validate the Pattern content like Color and Show Text Operators using an instance of ContentStreamWrapper.

Throws:
  `ValidationException`

#### checkMandatoryFields

    protected void checkMandatoryFields(PreflightContext context,
                                        org.apache.pdfbox.pdmodel.PDPage page,
                                        org.apache.pdfbox.pdmodel.graphics.pattern.PDTilingPattern pattern)

This method checks if required fields are present.